gen4_aleph
How to Make a Call
API Schemas
Video Generation
post
Body
modelstring · enumRequiredPossible values:
promptstring · max: 1000Required
The text description of the scene, subject, or action to generate in the video.
video_urlstring · uriRequired
A HTTPS URL pointing to a video or a data URI containing a video. This video will be used as a reference during generation.
frame_sizestring · enumOptionalDefault:
The width and height of the video.
1280:720Possible values: durationnumber · enumOptionalDefault:
The length of the output video in seconds.
5Possible values: seedinteger · max: 4294967295Optional
Varying the seed integer is a way to get different results for the same other request parameters. Using the same value for an identical request will produce similar results. If unspecified, a random number is chosen.
Responses
200Success
application/json
idstringRequiredExample:
The ID of the generated video.
60ac7c34-3224-4b14-8e7d-0aa0db708325statusstring · enumRequiredExample:
The current status of the generation task.
completedPossible values: post
/v2/video/generations200Success
Retrieve the generated video from the server
get
Authorizations
AuthorizationstringRequired
Bearer key
Query parameters
generation_idstringRequiredExample:
<REPLACE_WITH_YOUR_GENERATION_ID>Responses
200Success
application/json
idstringRequiredExample:
The ID of the generated video.
60ac7c34-3224-4b14-8e7d-0aa0db708325statusstring · enumRequiredExample:
The current status of the generation task.
completedPossible values: get
/v2/video/generations200Success
Full Example: Generating and Retrieving the Video From the Server
Reference Video
Generated (Edited) Video
Last updated
Was this helpful?

